<?php
/*
Template Name: カレンダー
*/
?>
 
<!-----------祝日取得--------------->
<?php

 
$year = date("Y");
 
function getHolidays($year) {
	
	$api_key = 'AIzaSyD6CTJIgl8r3EXcBL4T8gW6Rdp51thlMZ8'; 
	$holidays = array(); 
	$holidays_id = 'japanese__ja@holiday.calendar.google.com'; 
	$url = sprintf(
        'https://www.googleapis.com/calendar/v3/calendars/%s/events?'.
		'key=%s&timeMin=%s&timeMax=%s&maxResults=%d&orderBy=startTime&singleEvents=true',
		$holidays_id,
		$api_key,
		$year.'-01-01T00:00:00Z' , 
		$year.'-12-31T00:00:00Z' , 
		150
	);
 
	if ( $results = file_get_contents($url, true )) {

		$results = json_decode($results);

		foreach ($results->items as $item ) {
			$date = strtotime((string) $item->start->date);
			$title = (string) $item->summary;
			$holidays[date('Y-m-d', $date)] = $title;

		}
		ksort($holidays);
	}
	return $holidays; 
}
 
 
$Holidays_array = getHolidays($year); 
 
function display_to_Holidays($date,$Holidays_array) {
    
	if(array_key_exists($date,$Holidays_array)){
        
		$holidays = "<br/>".$Holidays_array[$date];

		return $holidays; 
	}
}   
 
 
?>
<!-----------祝日取得--------------->
 
 
<!-----------カレンダープログラム--------------->
<?php

date_default_timezone_set('Asia/Tokyo');
 
if(isset($_GET['ym'])){ 
    $ym = $_GET['ym'];
}else{

    $ym = date('Y-m');
}
 

//strtotime('Y-m-01')
$timestamp = strtotime($ym . '-01'); 
if($timestamp === false){

    $ym = date('Y-m');
    $timestamp = strtotime($ym . '-01');
}
 

$today = date('Y-m-j');
 
$html_title = date('Y年n月', $timestamp); 

$prev = date('Y-m', strtotime('-1 month', $timestamp));
$next = date('Y-m', strtotime('+1 month', $timestamp));
 
 

$day_count = date('t', $timestamp);
 

$youbi = date('w', $timestamp);
 
$weeks = [];
$week = '';
 
$week .= str_repeat('<td></td>', $youbi);
 
for($day = 1; $day <= $day_count; $day++, $youbi++){
    
    $date = $ym . '-' . $day; 

    $Holidays_day = display_to_Holidays(date("Y-m-d",strtotime($date)),$Holidays_array);

    
    if($today == $date){

        $week .= '<td class="today">' . $day;
    }elseif(display_to_Holidays(date("Y-m-d",$today_strtotime),$Holidays_array)){

        $week .= '<td class="holiday">' . $day . $Holidays_day;
    }else{

        $week .= '<td>' . $day;
    }
    $week .= '</td>';
    
    if($youbi % 7 == 6 || $day == $day_count){

        
        if($day == $day_count){
        	            $week .= str_repeat('<td></td>', 6 - ($youbi % 7));
        }
        
        $weeks[] = '<tr>' . $week . '</tr>'; 
        
        $week = '';
    }
}
    
?>
<!-----------カレンダープログラム--------------->
 
 
 
 
 
 
 
<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <title>カレンダー</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Noto+Sans" rel="stylesheet">
    <style>
      .container {
        font-family: 'Noto Sans', sans-serif;
          margin-top: 80px;
      }
        h3 {
            margin-bottom: 30px;
        }
        th {
            height: 30px;
            text-align: center;
        }
        td {
            height: 100px;
        }
        .today {
            background: orange;
        }
        th:nth-of-type(1), td:nth-of-type(1) {
            color: red;
        }
        th:nth-of-type(7), td:nth-of-type(7) {
            color: blue;
        }
        .holiday{
            color: red;
        }
    </style>
</head> 
<body id="">
          <div class="container">
        <h3><a href="?ym=<?php echo $prev; ?>">&lt;</a><?php echo $html_title; ?><a href="?ym=<?php echo $next; ?>">&gt;</a></h3>
        <table class="table table-bordered">
            <tr>
                <th>日</th>
                <th>月</th>
                <th>火</th>
                <th>水</th>
                <th>木</th>
                <th>金</th>
                <th>土</th>
            </tr>
             <?php
                foreach ($weeks as $week) {
                    echo $week;
                }
            ?>
        </table>
    </div>
    
   <center>
<p>
   <font size="5">
<form action="output_oz2.php" method="post">
予約状況検索。
                            日付
                             <label> <input type="date" name="day" list="daylist" min=""></label>

<input type="submit" value="確定"></form>
</p>
 </font>

   <font size="5">
   <a href="calender_add.php">＜予約_登録ボタン＞（登録はコチラからもできます。）</a>
<br />
<form action="calender_check.php" method="post">
                           お名前
                            <div><input name="name"></div>
                            電話番号
                            <div><input name="number"></div>
                            人数
                            <div><input name="member"></div>
                            日付
                            <div>
                              <input type="date" name="day" list="daylist" min="">
                               </div>
                            
                    
                            <div class="submit">
                                <input type="submit" value="確定ボタン">
                            </div>
                               <div class="reset">
                                   <input type="reset" value="リセット">
                               </div>
      </font>
      
  <h5>
<a href="ALL_output.php">全てを表示日程順（日程順は５０件リミットです）</a><br />
<a href="output_oz2.php">全てを表示登録順（登録順は５０件リミットです）</a><br /><br />
<a href="calender2.php">＜日程_登録ボタン＞（登録はコチラから！）</a><br />
<h5/>
      
 </center>
    
</body>
 
</html>